osl::move_probability::SacrificeAttack Class Reference

`#include <feature.h>`

Inheritance diagram for osl::move_probability::SacrificeAttack:

## Public Types

enum | { StandCount = 64 , DIM = StandCount * PTYPE_SIZE * 2 }

## Public Member Functions

| SacrificeAttack ()
double | match (const StateInfo &si, const MoveInfo &mi, int offset, const double *w) const
Public Member Functions inherited from osl::move_probability::Feature
| Feature (std::string n, size_t d)
virtual | ~Feature ()
std::string | name () const
size_t | dimension () const

## Additional Inherited Members

Static Public Member Functions inherited from osl::move_probability::Feature
static int | classifyEffect9 (const NumEffectState &state, Player player, Square to)

## Detailed Description

Definition at line 1396 of file move_probability/feature.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
StandCount |
DIM |

Definition at line 1399 of file move_probability/feature.h.

## Constructor & Destructor Documentation

## SacrificeAttack()

osl::move_probability::SacrificeAttack::SacrificeAttack | ( |  | ) |

inline

Definition at line 1403 of file move_probability/feature.h.

References DIM, and osl::move_probability::Feature::Feature().

## Member Function Documentation

## match()

double osl::move_probability::SacrificeAttack::match | ( | const StateInfo & | si,
|  | const MoveInfo & | mi,
|  | int | offset,
|  | const double * | w ) const

inline virtual

Implements osl::move_probability::Feature.

Definition at line 1406 of file move_probability/feature.h.

References osl::alt(), osl::Neighboring8Direct::hasEffect(), osl::container::MoveStack::hasLastMove(), osl::move_probability::StateInfo::history, osl::Move::isNormal(), osl::SimpleState::kingSquare(), osl::container::MoveStack::lastMove(), osl::move_probability::MoveInfo::move, osl::PieceStand::order, osl::PAWN, osl::move_probability::MoveInfo::player, osl::Move::ptype(), osl::PTYPE_SIZE, osl::Move::ptypeO(), osl::move_probability::MoveInfo::see, osl::move_probability::MoveInfo::standIndex(), osl::move_probability::StateInfo::state, and osl::Move::to().

The documentation for this class was generated from the following file:

- move_probability/feature.h